Signals
Batch Create Signals
Batch create multiple signals. Validates URLs in parallel, inserts all signals (without scheduling), then starts schedules for all created signals after the batch is complete.
AuthorizationBearer <token>
In: header
Header Parameters
x-tenant-id?string|null
signals
Response Body
application/json
application/json
curl -X POST "https://api.obert.io/api/signals/batch" \ -H "Content-Type: application/json" \ -d '{ "signals": [ { "list_ids": [ "string" ], "type": "keyword", "config": { "keyword": "string" } } ] }'{
"results": [
{
"status": "created",
"signal": {
"id": "string",
"tenant_id": "string",
"list_ids": [
"string"
],
"type": "string",
"config": {},
"status": "active",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"error": "string",
"linkedin_url": "string"
}
],
"total_created": 0,
"total_failed": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}